About data flow diagrams

Click to show or hide information. Show me an example

Data flow diagram

Use a data flow diagram to document the logical flow of data through a set of processes or procedures. You can include external sources and destinations of the data, activities that transform the data, and stores or collections where the data is held.

Create a data flow diagram


Create a data flow diagram

Click to show or hide information. Show me an example

Data flow diagram

  1. On the File menu, point to New, point to Flowchart, and then click Data Flow Diagram.
  2. From the Data Flow Diagram Shapes stencil, drag an External interactor shape onto the drawing page to represent each external source or destination for data.
  3. Drag more shapes onto the page to represent the processes, states, or entities involved in the data flow you are documenting.
  4. Indicate the flow of data in your diagram with Center to center shapes and indicate data loops using Loop on center shapes.

Click to show or hide information. Indicate data flow between objects

  1. From the Data Flow Diagram Shapes stencil, drag a Center to center shape onto the drawing page. Place it near the two shapes between which you'd like to show the flow of data.
  2. To change the direction of the arrow, on the Shape menu, point to Rotate or Flip, and then click Flip Horizontal or Flip Vertical.
  3. Drag the endpoints of the Center to center shape [image] [image] to the connection points [image] at the center of each of the other shapes. The endpoints turn red to indicate that the shapes are connected.
  4. To change the arrow curvature, drag the selection handle [image]. To change the location of the ends of the arrows, drag a control handle [image].

Data flow shapes connected by a center to center shape

Click to show or hide information. Indicate a data loop

  1. From the Data Flow Diagram Shapes stencil, drag a Loop on center shape onto the drawing page near the place where you would like to indicate a data loop.
  2. Drag the begin point [image] of the Loop on center shape to the center of the state or process shape that has the data loop. The endpoint turns red to indicate that the shapes are connected.
  3. To change the size or position of the loop, drag the end point [image]. To change the location of the ends of the loop, drag the control handle [image] and the selection handle [image].


Indicate data flow between objects in a data flow diagram

  1. From the Data Flow Diagram Shapes stencil, drag a Center to center shape onto the drawing page. Place it near the two shapes between which you'd like to show the flow of data.
  2. To change the direction of the arrow, on the Shape menu, point to Rotate or Flip, and then click Flip Horizontal or Flip Vertical.
  3. Drag the endpoints of the Center to center shape [image] [image] to the connection points [image] at the center of each of the other shapes. The endpoints turn red to indicate that the shapes are connected.
  4. To change the arrow curvature, drag the selection handle [image]. To change the location of the ends of the arrows, drag a control handle [image].

Data flow shapes connected by a center to center shape


Indicate a data loop in a data flow diagram

  1. From the Data Flow Diagram Shapes stencil, drag a Loop on center shape onto the drawing page near the place where you would like to indicate a data loop.
  2. Drag the begin point [image] of the Loop on center shape to the center of the state or process shape that has the data loop. The endpoint turns red to indicate that the shapes are connected.
  3. To change the size or position of the loop, drag the end point [image]. To change the location of the ends of the loop, drag the control handle [image] and the selection handle [image].